Skip to content
Start here

Delete a zone snippet

DELETE/zones/{zone_id}/snippets/{snippet_name}

Deletes a snippet belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets Write
Path ParametersExpand Collapse
zone_id: string

Use this field to specify the unique ID of the zone.

snippet_name: string

Identify the snippet.

ReturnsExpand Collapse
errors: array of object { message, code }

Lists error messages.

message: string

Describes the message text.

minLength1
code: optional number

Identify the message code.

messages: array of object { message, code }

Contain warning messages.

message: string

Describes the message text.

minLength1
code: optional number

Identify the message code.

result: unknown

Contain the response result.

success: true

Indicate whether the API call was successful.

Delete a zone snippet

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/snippets/$SNIPPET_NAME \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {},
  "success": true
}